Bug 242468 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: irda-utils (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Dmitry Butskoy
bzcl34nup
:
: 246958 (view as bug list)
Depends On: 242466
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 09:27 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
4 users (show)

See Also:
Fixed In Version: irda-utils-0.9.18-11.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-30 23:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-04 09:27:34 EDT
+++ This bug was initially created as a clone of Bug #242466 +++

Description of problem:
In irda init script, there are several wrong exit codes. For example
[ ${IRDA} = "no" ] && exit 0

[ -f /usr/sbin/irattach ] || exit 0
return exit code 0, but shall return some non-zero code. They also prevent
status invocation, which is also not correct.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Karsten Hopp 2007-08-22 08:32:42 EDT
*** Bug 246958 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2008-04-04 06:56:46 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Nicola Soranzo 2008-04-04 08:44:15 EDT
Still applies, changing back to rawhide.
Comment 4 Bug Zapper 2008-05-13 22:58:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nicola Soranzo 2009-07-03 19:37:16 EDT
Current Fedora guidelines for SysV-style Initscripts can be found at http://fedoraproject.org/wiki/Packaging:SysVInitScript
Comment 6 Bug Zapper 2009-11-18 07:19:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 07:43:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 08:10:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Admin XMLRPC Client 2011-07-15 08:15:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Update System 2011-07-15 13:13:59 EDT
irda-utils-0.9.18-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/irda-utils-0.9.18-11.fc14
Comment 11 Fedora Update System 2011-07-15 13:14:53 EDT
irda-utils-0.9.18-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/irda-utils-0.9.18-12.fc15
Comment 12 Fedora Update System 2011-07-16 03:32:32 EDT
Package irda-utils-0.9.18-11.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing irda-utils-0.9.18-11.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/irda-utils-0.9.18-11.fc14
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-07-30 23:47:00 EDT
irda-utils-0.9.18-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-07-30 23:52:57 EDT
irda-utils-0.9.18-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.